{"title":"Get purchaseReceiptLines","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_purchasereceiptline_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_purchasereceiptline_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_purchasereceiptline_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a purchaseReceiptLine object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":96,"chars":349},{"level":2,"title":"Request headers","slug":"request-headers","at":445,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":517,"chars":61},{"level":2,"title":"Response","slug":"response","at":578,"chars":133},{"level":2,"title":"Example","slug":"example","at":711,"chars":630},{"level":2,"title":"Related information","slug":"related-information","at":1341,"chars":140}],"text":"Retrieve the properties and relationships of a purchaseReceiptLine object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/purchaseReceipts({id})/purchaseReceiptLines({purchaseReceiptLineId})\nGET businesscentralPrefix/companies({id})/purchaseReceiptLines({purchaseReceiptLineId})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and an purchaseReceiptLines object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/purchaseReceipts({id})/purchaseReceiptLines({purchaseReceiptLineId})\n```\nResponse\nHere's an example of the response.\n```json\n{\n   \"id\": \"dd8db9c0-44e3-ea11-bb43-000d3a2feca1\",\n   \"documentId\": \"5d115c9c-44e3-ea11-bb43-000d3a2feca1\",\n   \"sequence\": \"10000\",\n   \"lineType\": \"Item\",\n   \"lineObjectNumber\": \"1896-S\",\n   \"description\": \"ATHENS Desk\",\n   \"unitOfMeasureCode\": \"PCS\",\n   \"unitCost\": 780.7,\n   \"quantity\": 4,\n   \"discountPercent\": 5,\n   \"taxPercent\": 10,\n   \"expectedReceiptDate\": \"2021-01-01\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_purchasereceiptline"}